using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Dao
{
	public interface IRoomServiceRecordRepository : IRepository<RoomServiceRecord>
	{
		IList<RoomServiceRecord> LoadAllByPage(out long total, int page, int rows, string order, string sort, string roomNumber, string startTime, string endTime, string[] services);

		RoomServiceRecord Get(int hostID, string alarmCode, bool status);

		RoomServiceRecord CreateServiceRecord(Host host, AlarmSetting abnormitySetting);
	}
}
